# Dependencies

 * `python`: tested with version 3.6.3. A hard version dependency is probably
Python 3.5 because of the `@` [operator](https://www.python.org/dev/peps/pep-0465/).
 * `numpy`: tested with version 1.13.3. It probably requires at least Numpy
 1.10.0 because of the use of the `@` operator.
 * `scipy`: tested with version 1.0.0. Probably the newest feature used from
 SciPy is the `interp_decomp` from version 0.13.
 * `matplotlib`: tested with version 2.1.0.

# Running the Code

This is not setup in a particularly optimal manner, but it should be
possible to run any of the scripts in `examples` or `tests` by calling:
```python
python examples/some_script_name.py
```
from the root directory. Otherwise, feel free to mess around with
`PYTHON_PATH` and other things like that to make it find the `cs598apk` module
from the scripts.
